@mixin shadow($shadow-size, $shadow-blur, $shadow-color) {
  box-shadow: $shadow-size $shadow-size $shadow-blur $shadow-color;
}

@mixin track($track-height, $track-width) {
  cursor: default;
  height: $track-height;
  transition: all .2s ease;
  width: $track-width;
}

@mixin thumb($thumb-color: #398595, $thumb-border-width: 0, $thumb-border-color: transparent, $thumb-radius: 50%, $thumb-height: 3rem, $thumb-width: 3rem, $thumb-shadow-size: 0, $thumb-shadow-blur: 2rem, $thumb-shadow-color: rgba(#000, .2)) {
  @include shadow($thumb-shadow-size, $thumb-shadow-blur, $thumb-shadow-color);
  background: $thumb-color;
  border: $thumb-border-width solid $thumb-border-color;
  border-radius: $thumb-radius;
  box-sizing: border-box;
  cursor: default;
  height: $thumb-height;
  width: $thumb-width;
}
